/*
    
## ## ## ## ##  ##              ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##  ## ## ## ## ##
##              ##              ##          ##  ##          ##  ##          ##  ## ##       ##  ##                    ##
##              ##              ##          ##  ##          ##  ##          ##  ##  ##      ##  ##                    ##
##    ## ## ##  ##              ##          ##  ## ## ## ##     ##          ##  ##    ##    ##  ## ## ## ## ##        ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##      ##  ##  ##                    ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##        ## #  ##                    ##
## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##        ##

/**** TEXT & ICONS ****/

/* COLOR 1 */
hr,
h1,
.prev, 
.next,
.teaser i,
input[type=submit],
#topfooter h3,
#topfooter p {
    color: var(--color-1);
}
#topfooter .gray,
#burgermenu,
#topfooter a{
    color: #aaa;
}

/* COLOR 3 */
a,
.form h4,
#decline,
#popup h3,
.topmenu i,
button,
.menuitem a:hover {
    color: var(--color-3);
}

/* COLOR 4 */
h2,
h3,
h4,
.menuitem a,
li i,
p {
    color: var(--color-4);
} 


/* OTHER */
.alert i:nth-of-type(1) {
    color: green;
}

/**** ELEMENT BACKGROUND ****/

/* COLOR 1 */
body,
.bottommenu nav,
.bottommenu,
.dropdown,
#teaserbox .box {
    background: var(--color-1);    
}


h1{
    background-color: #00000098;
    border-top: 4px solid var(--color-3);
}
/* COLOR 2 */
input,
.teaser,
textarea,
#teaserbox .box {
    background: var(--color-2);
}

/* COLOR 3 */
.teaser i,
#bottomfooter,
input[type=submit] {
    background: var(--color-3);
}
button,
#decline {
    background: transparent;
}

/* OTHER */
#popup {
    background: #ffffff85;
}

button:hover {
    background-color: var(--color-3);
    color: var(--color-1);

}

#topfooter {
    background-color: #202020;
}

body {
    background-color: #f1f1f1;
}
/**** OUTLINE ****/

/* COLOR 3 */
#decline,
input:focus,
textarea:focus {
    outline: 1px solid var(--color-3);
}

button {
    outline: 2px solid var(--color-3);
}

/**** BOX SHADOW ****/

/* COLOR 4 */
#popup {
    -webkit-backdrop-filter: blur(3rem);
    backdrop-filter: blur(3rem);
    box-shadow: var(--color-4) 0 0 10rem -4rem;
}

/**** TEXT DECORATION ****/
.menuitem a:hover {
    text-decoration: none;
}
#popup a,
#bottomfooter a {
    text-decoration: underline;
}

/**** TRANSITIONS ****/
nav,
#more,
.all i,
.dropdown,
.menuitem a,
.bottommenu nav,
#selection span {
    transition: all linear 100ms;
}

#burgermenu {
    transition: all linear 200ms;
}

/**** FONTS ****/
@font-face {
    font-family: 'Text';
    src: url(../font/Montserrat/Montserrat-VariableFont_wght.ttf);
}
* {
    font-family: 'Text';
    line-height: 1.6; /* Anpassen basierend auf Font */
}


p{
    font-size: 18px;
}
/**** ROOT ****/
:root {
    --color-1: #FFFFFF;
    --color-2: #f5f5f5 ;
    --color-3: #d71b81; 
    --color-4: #000000;
}